;---------------------------------------------------------------------------
; Format:
; [Statedef STATENO]
; type = ?      S/C/A/L  stand/crouch/air/liedown
; movetype = ?  I/A/H    idle/attack/gethit
; physics = ?   S/C/A/N  stand/crouch/air/none
; juggle = ?             air juggle points move requires
;
; [State STATENO, ?]     ? - any number you choose
; type = ?
; ...

; WIN1
[Statedef 180]
type = S
ctrl = 0
velset = 0,0,0

[State 180, 1]; Win Screen
type = Helper
trigger1 = !NumHelper(9991)
trigger1 = MatchOver
stateno = 9991
postype = p1
pos = 0,0
name = "Win Screen"
id = 9991


[State 0, 1]
type = ChangeState
trigger1 = 1
value = 181 +(random%3)

; WIN1
[Statedef 181]
type = S
ctrl = 0
velset = 0,0,0
anim = 181

[State 193, 2]
type = PlaySnd
trigger1 = AnimElem = 4
value = 1,5
channel = 0
volume = 255

; WIN2
[Statedef 182]
type = S
ctrl = 0
velset = 0,0,0
anim = 182

[State 193, 2]
type = PlaySnd
trigger1 = AnimElem = 2 || Animelem = 4 || AnimElem = 10
value = 0,2

[State 193, 2]
type = PlaySnd
trigger1 = AnimElem = 14
value = 1,6
channel = 0
volume = 255

; WIN2
[Statedef 183]
type = S
ctrl = 0
velset = 0,0,0
anim = 183

[State 193, 2]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1,9
channel = 0
volume = 255



; Jump in for Turns Mode
[Statedef 190]
type = A
physics = N
ctrl = 0
anim = 190
velset = 0,0

;[State 0, 1]
;type = ChangeState
;trigger1 = !time && (random = [300,599])
;value = 192

[State 196, 3]
type = PosSet
trigger1 = Time = 0
y = 0


[State 192, 0]
type = PlaySnd
trigger1 = time = 65
value = 0, 6



[State 0, ]
type = Explod
trigger1 = time = 65
anim = 194
pos = 2,2
postype = p1
facing = 1
vfacing = 1
sprpriority = 6
ownpal = 1

[State 193, 2]
type = PlaySnd
trigger1 = AnimElem = 5
value = 1,0
channel = 0
volume = 255


[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = 1
flag = Intro


[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = ChangeState
trigger1 = AnimTime = 0
value = 0


; INTRO
[Statedef 191]
type = S
ctrl = 0
anim = 190
velset = 0,0,0

[State 192, 0]; Too lazy to rip the actual ground shock
type = GameMakeAnim
trigger1 = time = 0
pos = -5,0
value = 61
under = 1

[State 196, 3]
type = PosSet
trigger1 = Time = 0
y = 0


[State 192, 0]
type = PlaySnd
trigger1 = time = 90
value = 0, 6



[State 0, ]
type = Explod
trigger1 = time = 95
anim = 194
pos = 0,0
postype = p1
facing = 1
vfacing = 1
sprpriority = 6
ownpal = 1

[State 193, 2]
type = PlaySnd
trigger1 = AnimElem = 5
value = 1,0
channel = 0
volume = 255


[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = AnimTime != 0
flag = Intro


[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = ChangeState
trigger1 = AnimTime = 0
value = 0

; TAUNT
[Statedef 195]
type = S
anim = 195
ctrl = 0
poweradd = 150
velset = 0,0

[State 195, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1, 14
channel = 0


[State 195, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;Standing Light Punch 
[Statedef 200]
type    = S
movetype= A
physics = S
juggle  = 2
poweradd= 40
ctrl = 0
anim = 200
velset = 0

[State 200, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
damage   = 15
priority = 3
guardflag = MA
pausetime = 9,9
sparkno = 0
sparkxy =  -15,-70
hitsound   = s5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 11
ground.hittime  = 11
ground.velocity = -3.5
air.velocity = -2,-3
airguard.velocity = -3     

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,0

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 500
value = 2,0
channel = 0

[State 200, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
;Standing Medium Punch 
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 40
ctrl = 0
anim = 210
velset = 0,0,0

[State 230, 1]
type = HitDef
trigger1 = AnimElem = 4 
attr = S, NA
damage   = 14
animtype = Med
guardflag = MA
pausetime = 6,6
sparkno = 1
sparkxy =  -5,-68
hitsound   = s5,1
guardsound = 6,0
ground.type = Hi
ground.slidetime = 3
ground.hittime  = 17
ground.velocity = -6
air.velocity = -3.1,-3.3
airguard.velocity = -3.5 

[State 230, 1]
type = HitDef
trigger1 = AnimElem = 5
attr = S, NA
damage   = 14
animtype = Med
guardflag = MA
pausetime = 11,11
sparkno = 1
sparkxy =  -15,-75
hitsound   = s5,1
guardsound = 6,0
ground.type = Hi
ground.slidetime = 14
ground.hittime  = 14
ground.velocity = -6
air.velocity = -3.1,-3.3
airguard.velocity = -3.5     


[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 4
value = 0,1    

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 4 && random <= 300
value = 2,1
channel = 0

[State 230, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Standing Heavy Punch 
[Statedef 220]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 50
ctrl = 0
anim = 220
velset = 0,0

[State 250, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
animtype = hard
damage = 39
givepower  = 38,55
guardflag = MA
pausetime = 13,13
sparkno = 2
sparkxy = 0,-68
hitsound = s5,2
guardsound = 6,0
ground.type = high
ground.slidetime = 20
ground.hittime = 20
guard.velocity = -8.2
ground.velocity = -8.2
air.velocity = -6,-5.5
airguard.velocity = -1.5 

[State 210, 3]
type = ChangeAnim
trigger1 = AnimElemTime(3) > 0 && AnimElemTime(4) <= 0
trigger1 = movecontact
ignorehitpause = 1
persistent = 0
value = 220
elem = 4

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 3
value = 0,2    

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 3 && random <= 500
value = 2,3
channel = 0

[State 250, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;Standing Light Kick 
[Statedef 230]
number = 6
type    = S
movetype= A
physics = S
juggle  = 1
poweradd= 30
ctrl = 0
anim = 230
velset = 0

[State 210, 1]
type = HitDef
trigger1 = AnimElem = 2              ;Time to activate controller
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage    = 19                    ;Damage that move inflicts
guardflag = MA                   ;Flags on how move is to be guarded against
;hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3                     ;Attack priority: 0 (least) to 7 (most), 4 default
pausetime = 9,9                ;Time attacker pauses, time opponent shakes
sparkno = 0                   ;Spark image group and no
sparkxy = -10,-12                  ;X-offset for the "hit spark" rel. to p2,
                                 ;Y-offset for the spark rel. to p1
hitsound = s5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
; mindist  = 0,0,0                 ;Min distance of p2 from p1 when hit
; maxdist  = 0,0,0                 ;Max distance of p2 from p1 when hit
ground.type = High               ;Type (refer to testp.h)
ground.slidetime = 11             ;Time that the victim slides back
ground.hittime  = 11             ;Time victim is in hit state
ground.velocity = -4             ;Velocity at which victim is pushed
; guard.slidetime = 5              ;Values for guarded attack (def: ground.slidetime)
; guard.hittime  = 15              ; (def: ground.hittime)
; guard.velocity = -4              ; (def: ground.velocity)
; guard.ctrltime = 7               ;Time to regain control after guard (def: guard.slidetime)
; airguard.velocity = -2.6         ;Guard velocity in air (def: (air.xvel*2              
; airguard.ctrltime = 7            ;Time to regain control after air guard (def: ground.ctrltime)
air.type = High                  ;Type (refer to testp.h)
air.velocity = -1.3,-1           ;X-velocity at which victim is pushed,
                                 ;Y-velocity at which victim is pushed
fall = 0                         ;1 to cause opponent to fall. If omitted, assumed 0.

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,0

[State 200, 7]
type = Playsnd
trigger1 = animElem = 2 && random <= 300
value = 2,2
channel = 0

[State 210, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;Standing Medium Kick 
[Statedef 240]
type    = S     
movetype= A     
physics = S     
juggle  = 1     
velset = 0,0
ctrl = 0  
anim = 240 
poweradd = 40

[State 202, 1]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA   
damage = 31
animtype = Med
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 11,11
sparkno = 1
sparkxy = -10,-82
hitsound = s5,4
guardsound = 6,0
ground.type = Low
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = -6
air.velocity = -4,-4

[State 210, 3]
type = ChangeAnim
trigger1 = AnimElemTime(2) > 0 && AnimElemTime(3) <= 0
trigger1 = HitPauseTime = 9
ignorehitpause = 1
persistent = 0
value = 240
elem = 3

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 600
value = 2,1
channel = 0

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,1


[State 202, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Standing Heavy Kick 
[Statedef 250]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 50
ctrl = 0
velset = 1,0,0
anim = 250



[State 0, ]
type = PosAdd
trigger1 = AnimElem = 2
x = 23
;y = 
;ignorehitpause = 0
;persistent = 1



[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
animtype = hard
damage = 53
givepower  = 38,55
guardflag = MA
pausetime = 13,13
sparkno = 2
sparkxy = 0,-61
hitsound = s5,5
guardsound = 6,0
ground.type = high
ground.slidetime = 20
ground.hittime = 20
guard.velocity = -8.2
ground.velocity = -8.2
air.velocity = -6,-5.5
airguard.velocity = -1.5 
 

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 5
value = 0,2 

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 5 && random <= 700
value = 2,4 
channel = 0

[State 240, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Light Punch
[Statedef 400]
type    = C
movetype= A
physics = C
juggle  = 1
poweradd= 46
ctrl = 0
anim = 400

[State 400, 2]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 11
guardflag = MA
pausetime = 9,9
sparkno = 0
sparkxy = -5,-37
hitsound   = s5,0
guardsound = 6,0
ground.type = Low
ground.slidetime = 9
ground.hittime  = 9
ground.velocity = -4
air.type = High
air.velocity = -1.2,-3
guard.velocity = -5

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,0

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 550
value = 2,0
channel = 0


[State 400, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Medium Punch
[Statedef 410]
type    = C
movetype= A
physics = C
juggle  = 1
poweradd= 50
ctrl = 0
anim = 410

[State 420, 2]
type = HitDef
trigger1 = AnimElem = 4
attr = C, NA
damage    = 25
guardflag = MA
pausetime = 11,11
sparkno = 1
sparkxy = -5,-47
hitsound   = s5,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 10
ground.hittime  = 10
ground.velocity = -4.7
air.type = High
air.velocity = -1.5,-3.2

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 4
value = 0,1

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 4 && random <= 550
value = 2,4
channel = 0


[State 420, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Heavy Punch
[Statedef 420]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 75
ctrl = 0
anim = 420

[State 440, 2]
type = HitDef
trigger1 = AnimElem = 4
attr = S, NA
damage   = 25
animtype = Med
guardflag = MA
pausetime = 13,13
sparkno = 2
sparkxy = -10,-53
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 16
ground.hittime  = 20
ground.velocity = -3    
air.type = High
air.velocity = -1,-10
airguard.velocity = -2.5
yaccel = .45
air.fall = 1

[State 440, 2]
type = HitDef
trigger1 = AnimElem = 8
attr = S, NA
damage   = 25
animtype = Med
guardflag = MA
pausetime = 13,13
sparkno = 2
sparkxy = -10,-49
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 16
ground.hittime  = 20
ground.velocity = -9    
air.type = High
air.velocity = -1,-10
airguard.velocity = -2.5
yaccel = .45
air.fall = 1

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 4 || AnimElem = 8
value = 0,2

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 4 && random <= 550
value = 2,3
channel = 0


[State 440, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

; Crouch Light Kick
[Statedef 430]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 40
ctrl = 0
anim = 430
velset = 0,0,0

[State 410, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
damage    = 13
guardflag = LA
pausetime = 9,9
sparkno = 0
sparkxy = 0,-3
hitsound   = s5,3
guardsound = 6,0
ground.type = Low
ground.slidetime = 9
ground.hittime  = 9
ground.velocity = -4.1
air.type = High
air.velocity = -1.4,-3

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,0

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 350
value = 2,0

[State 410, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Medium Kick
[Statedef 440]
type    = c
movetype= A
physics = C
juggle  = 5
poweradd= 55
ctrl = 0
anim = 440
velset = 0,0,0

[State 430, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
damage    = 27
guardflag = LA
pausetime = 11,11
sparkno = 1
sparkxy = -15,-3
hitsound   = s5,4
guardsound = 6,0
ground.type = Low
ground.slidetime = 14
ground.hittime  = 14
ground.velocity = -5
air.type = High
air.velocity = -1.8,-3.1

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,1

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 350
value = 2,2


[State 430, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouch Heavy Kick
[Statedef 450]
type    = C
movetype= A
physics = C
juggle  = 2
poweradd= 60
ctrl = 0
anim = 450
velset = 0,0,0

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 10

[State 100, 1]
type = MakeDust
trigger1 = AnimElemTime(3) >=0 && AnimElemTime(5) < 0
pos = 0, 0
spacing = 1

[State 410, 1]
type = VelSet
trigger1 = AnimElemTime(3) >=0 && AnimElemTime(4) < 0
x = 6.5

[State 202, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
damage   = 45
guardflag = LA
pausetime = 13,13
sparkno = 2
sparkxy =  0,-10
hitsound   = s5,5
guardsound = 6,0
ground.type = Trip
ground.slidetime = 18
ground.hittime  = 25
guard.hittime = 36
guard.ctrltime = 36
ground.velocity = -2,-4
guard.velocity = -6
air.velocity = -2.4,-3.5
airguard.velocity = -3,-3
fall = 1

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 3 && random <= 350
value = 2,6
channel = 0


[State 450, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;Jumping Lp
[Statedef 600]
type    = A
movetype= A
physics = A
poweradd= 45
ctrl = 0
anim = 600

[State 600, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 11
getpower  = 10
givepower = 10
guardflag = HA
priority = 3
pausetime = 9,9
sparkno = 0
sparkxy = -10,-60
hitsound   = s5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-3

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,0

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 750
value = 2,1


[State 600, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50

;---------------------------------------------------------------------------
;Jumping Medium Punch (neutral)
[Statedef 610]
type    = A
movetype= A
physics = A
poweradd= 40
ctrl = 0
anim = 610

[State 630, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 28
getpower  = 10
givepower = 10
guardflag = HA
priority = 3
pausetime = 11,11
sparkno = 1
sparkxy = -10,-75
hitsound   = s5,1
guardsound = 6,0
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-3

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,1

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 750
value = 2,0


[State 630, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50

;---------------------------------------------------------------------------
;Jumping Heavy Punch (neutral)
[Statedef 620]
type    = A
movetype= A
physics = A
poweradd= 46
ctrl = 0
anim = 620

[State 661, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 40
getpower  = 10
givepower = 10
guardflag = HA
priority = 3
pausetime = 13,13
sparkno = 2
sparkxy = -10,-58
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 16
ground.hittime  = 16
ground.velocity = -4
air.velocity = -1.3,-3

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 3
value = 0,2

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 3 && random <= 750
value = 2,4

[State 661, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50

;Jumping Light Kick (neutral)
[Statedef 630]
type    = A
movetype= A
physics = A
poweradd= 45
ctrl = 0
anim = 630

[State 610, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 23
getpower  = 10
givepower = 10
guardflag = HA
priority = 3
pausetime = 9,9
sparkno = 0
sparkxy = -10,-38
hitsound   = s5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 11
ground.hittime  = 11
ground.velocity = -6
air.velocity = -1.3,-3

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,0

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 750
value = 2,2


[State 610, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50

;---------------------------------------------------------------------------
;Jumping Medium Kick (neutral)
[Statedef 640]
type    = A
movetype= A
physics = A
poweradd= 65
ctrl = 0
anim = 640

[State 640, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
animtype = med
damage    = 40
getpower  = 25
givepower = 25
guardflag = HA
priority = 3
pausetime = 11,11
sparkno = 1
sparkxy = -10,-28
hitsound   = s5,4
guardsound = 6,0
ground.type = High
ground.slidetime = 14
ground.hittime  = 14
ground.velocity = -8
air.velocity = -1.3,-3

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,1
[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 750
value = 2,0


[State 640, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
;Jumping Heavy Kick (neutral)
[Statedef 650]
type    = A
movetype= A
physics = A
poweradd= 45
ctrl = 0
anim = 650

[State 670, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA
animtype = hard
damage = 63
givepower  = 25,48
guardflag = HA
pausetime = 13,13
sparkxy = -10,-32
hitsound = s5,5
sparkno = 2
guardsound = 6,0
ground.type = High
ground.slidetime = 17
ground.hittime = 17
guard.velocity = -10
ground.velocity = -10
air.velocity = -8, 8
airguard.velocity = -5, -1.2
air.fall = 1
fall.recover = 0
envshake.time = 5
fall.envshake.time = 10



[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2
value = 0,2

[State 200, 7]
type = Playsnd
trigger1 = AnimElem = 2 && random <= 750
value = 2,3


[State 670, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50


;Throw Attempt
[Statedef 800]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2

[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
p1sprpriority = 1     ;Draw p1's sprite in front of p2
                      ;p2's sprite priority is set to 0 by default
p1facing = 1
p2facing = 1          ;Force p2 to face KFM
p1stateno = 801       ;On success, KFM changes to state 810
p2stateno = 805       ;If hit, p2 changes to state 820 in KFM's cns
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Blowout
[Statedef 801]
type    = S
movetype= A
physics = S
anim = 801
poweradd = 60
sprpriority = 3



[State 0, ]
type = SprPriority
trigger1 = AnimElem = 2
value = 1
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = SprPriority
trigger1 = AnimElem = 3
value = 3

[State 810, Holding fwd?]
type = VarSet
trigger1 = !Time
var(2) = command = "holdfwd"

[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5, 10

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 3,10
value = 0, 15
channel = 1
freqmul = .75

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 3,70
value = 0, 8
channel = 1

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 3,70
value = 0, 14

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 3,70
value = 1, 26
channel = 0

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(1) >= 0 && AnimElemTime(4) < 0
edge = 40,0

[State 810, holdfwd - Turn 6] ;If was holding fwd before, turn now
type = Turn
trigger1 = !var(2)
trigger1 = AnimElem = 3

[State 810, holdfwd - Turn Target 6] ;If was holding fwd before, turn target too
type = TargetFacing
trigger1 = !var(2)
trigger1 = AnimElem = 3
value = -1

[State 810, Bind 6]
type = TargetBind
trigger1 = AnimElemTime(1) >= 0 && AnimElemTime(2) < 0
pos = 37, 0

[State 810, Bind 7]
type = TargetBind
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(3) < 0
pos = 13, 0

[State 810, Bind 8]
type = TargetBind
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(3) < 70
pos = 27, 0

[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = AnimElem = 3,70
value = -125

[State 810, Throw 11]
type = TargetState
trigger1 = AnimElem = 3,70
value = 806

[State 1486, 3]
type = EnvShake
trigger1 = AnimElem = 3,70
time = 40
ampl = 10
freq = 100
phase = 90



[State 0, ]
type = Explod
trigger1 = AnimElem = 3
anim = 1
;ID = 
pos = 27,-41
postype = p1
facing = 1
bindtime = -1
removetime = 70
sprpriority = 4
removeongethit = 1

[State 0, ]
type = Explod
trigger1 = AnimElemTime(3) > 10 && AnimElemTime(3) < 50
trigger1 = AnimElemTime(3)%20=0
anim = 802
;ID = 
pos = 27,-41
postype = p1
facing = 1
bindtime = -1
sprpriority = 4
removeongethit = 1

[State 0, ]
type = Explod
trigger1 = AnimElem = 3,68
anim = 803
;ID = 
pos = 27,-41
postype = p1
facing = 1
sprpriority = 4
removeongethit = 1
;scale = 1.5,1.5



[State 0, ]
type = VelSet
trigger1 = AnimElemTime(3) = 70
x = -14
;y = 
;ignorehitpause = 0
;persistent = 1



[State 0, ]
type = MakeDust
trigger1 = AnimElemTime(3) >= 70 && Vel X !=0
pos = 0,0
;pos2 = 0,0
;spacing = 
;ignorehitpause = 0
;persistent = 1





[State 0, ]
type = BGPalFX
trigger1 = AnimElemTime(3) = 70
add = 0,255,30
sinadd = 0,-255,-30,75
time =20
ignorehitpause = 1

[State 0, ]
type = Helper
trigger1 = AnimElem = 3,70
stateno = 1009
ID = 1009
name = "OOOOH BURN"
postype = p2
bindtime = 999999999
ownpal = 1
facing = -1
size.ground.front = 0
size.ground.back = 0
ignorehitpause = 1
persistent = 0

[State 0, ]
type = Helper
trigger1 = AnimElem = 3,70
stateno = 802
ID = 802
name = "Shockwave"
postype = p1
pos = 27, -41
bindtime = 999999999
ownpal = 1
facing = 1
size.ground.front = 0
size.ground.back = 0
ignorehitpause = 1
persistent = 0

[State 810, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Shockwave effect
[Statedef 802]
type = S
movetype = A
ctrl = 0
anim = 9997
velset = 0,0
sprpriority = 4

[State 0,1]
type = Explod
trigger1 = time = 0
anim = 804
ID = 804
postype =p1
pos = 0,0
sprpriority = 5
bindtime = 1
removetime = 15
supermove = 1
ignorehitpause = 1
;removeongethit = 1
pausemovetime = 999
scale =0.0, 0.0

[State 0, 1]
type = ModifyExplod
trigger1 = Time >= 1
anim = 804
ID = 804
sprpriority = 5
vel=0,0
scale =0.1 +Time*0.2 , 0.2 +Time*0.2

[State 0, 1]
type = PalFX
trigger1 = Time >= 0
add = ((time)*-18)-1,((time)*-18)-1,((time)*-18)-1
time = 1


[State 7001, 2]
type = DestroySelf
trigger1 = time =15

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw
; (a custom gethit state)
; Description: This is the state that the opponent changes to after being
;     hit by KFM's throw HitDef. The important thing here is to use a
;     ChangeAnim2 controller. The difference between ChangeAnim2 and
;     ChangeAnim is that ChangeAnim2 changes the player's animation to
;     an action in the AIR file of the attacker (in this case, kfm.air),
;     whereas ChangeAnim always changes the player to an action in his
;     own AIR file. Look at Action 820 in kfm.air for some extra
;     comments.
[Statedef 805]
type    = A
movetype= H
physics = N
velset = 0,0
sprpriority = 2



[State 0, ]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0
;ignorehitpause = 0
;persistent = 1



[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 805

;In case attacker loses binding on player for any reason, this controller
;guarantees that the player will never get stuck in this thrown state.
[State 820, 2]
type = SelfState
trigger1 = !gethitvar(isbound) && AnimElemtime(4) < 0
value = 5050

;---------------------------------------------------------------------------
; Fly to the Wall
[Statedef 806]
type    = A
movetype= H ;Get hit
physics = N

[State 1025, Anim] ;Custom animation
type = ChangeAnim
trigger1 = 1
value = 5012

[State SET SPEED]
type = VelSet
trigger1 = !Time 
x = -15
y =   0

[State 0, 1]
type = PalFX
trigger1 = !time
time = 60
add = -144,7,-69
color = 0
invertall = 1
sinadd= 10,0,10,4

[State NEXT STEP]
type = ChangeState
trigger1 = backedgedist <= 5
value = 807

;------------------------------------------
; Wall Impact
[Statedef 807]
type    = A
movetype= H ;Get hit
physics = N



[State 942, 0]
type = PlaySnd
Trigger1 = Time = 0
value = F5,4

[State 942, 1]
type = PosAdd
trigger1 = Time = 0
y = -20

[State 1027, Spark]
type = Explod
trigger1 = Time = 0
anim = F72
pos = 0, floor (screenpos y) - 50
postype = back
sprpriority = 3

[State 1027, Anim]
type = ChangeAnim
trigger1 = 1
value = 5030

[State 942, 3]
type = VelSet
trigger1 = Time = 0
x = 0
y = 0

[State 942, 4]
type = EnvShake
Trigger1 = Time = 0
time = 15
ampl = -3
freq = 90
phase = 90

[State 942, 6]
type = ChangeState
trigger1 = Time = 10
value = 808

;------------------------------------------
; Slide down the wall
[Statedef 808]
type    = A
movetype= H ;Get hit
physics = N

[State 943, 1]
type = Gravity
trigger1 = Time >= 0

[State 943, 5]
type = SelfState
trigger1 = Pos Y > 10
trigger1 = Vel Y > 0
value = 5100
ctrl = 0
;---------------------------------------------------------------------------


;Parry effect
[Statedef 95] 
type     = A
movetype = I
physics  = N
ctrl     = 0
anim     = 9997
SprPriority = 7


[State 0, ]
type = Palfx
trigger1 = 1
add = ceil(-(time*.01)*2000),ceil(-(time*.01)*2000),ceil(-(time*.01)*2000)
time = 1
ignorehitpause = 1
removeongethit = 1
persistent = 1

[State 0, ]
type = BindToRoot
trigger1 = 1
pos = 0,0
ignorehitpause = 1
persistent = 1

[State 0,1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow
ignorehitpause = 1
persistent = 1

[State 0,1]
type = Explod
trigger1 = 1
anim = (parent, anim)-5
postype = p1
pos = 0,0
scale = 1,1
sprpriority = 7
bindtime = -1
ignorehitpause = 1
removeongethit = 1
supermove = 1
supermovetime = 99999999
pausemovetime = 99999999
ID = 95
trans = add


[State 0,1]
type = ModifyExplod
trigger1 = 1
scale = 1+(time*.01),1+(time*.01)
ID = 95

[State 0, 1]
type = RemoveExplod
trigger1 = Time >= 15
ID = 95

[State 0,1]
type = DestroySelf
trigger1 = Time = 15


;Parrying (Window)
[Statedef 96]
type = A
movetype = I
physics = N
anim = 9997
velset = 0,0
ctrl = 0

[State 0, ]
type = BindToParent
trigger1 = 1
time = 1
pos = 0,0

[State 0, 1]
type = ParentVarSet
trigger1 = !Time
var(12) = 10
ignorehitpause = 1

[State 0, ]
type = DestroySelf
trigger1 = parent, command != "holdfwd"



;----------------------------------------------------------------------
;Succesful Parry (Air)
[Statedef 97] 
type = A 
movetype= I 
physics = N 
anim = 97
ctrl = 0
poweradd = ifelse(palno=12,400,200)
facep2 = 1
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority	= 2


[State 0, 2]
type = StateTypeSet
trigger1 = !time
movetype = H

[State 0, 3]
type = Null
trigger1 = (!Time)
trigger1 = (Var(12) := 0) && (Var(13) := 1) && (Var(17) := GetHitVar(HitShakeTime))
trigger2 = (Command = "holdfwd") && (Var(12) = 0) && (Var(13) = 0)
trigger2 = (Var(12) := 4)

[State 0, 1]
type = VarSet
trigger1 = !Time
fvar(0) = Vel X


[State 0, 4]
type = StateTypeSet
trigger1 = (!Time)
movetype = I


[State 700, Effect]
type = Helper
trigger1 = Time = 3
name = "Parry effect"
stateno = 95
ID = 95
pos = 0,0
keyctrl = 0
postype = p1
supermovetime = 99999999
pausemovetime = 99999999
ownpal = 1
IgnoreHitPause = 1
persistent = 0

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 3 
value = 6,1
volume = 255

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 3 
value = 2,0
volume = 255

[State 0, 2]
type = NotHitBy
trigger1 = (Time < Floor(Var(17)*1.5)+3)
value = SCA
time = 2

[State 0, 2]
type = Pause
trigger1 = time = 3
time = Floor(Var(17)*1.5)+5
movetime = Floor(Var(17)*1.5)+1

[State 7005:	VelSet]
type			= VelSet
trigger1		= (!Time)
x			= 0
y			= 0

[State 7005:	VelSet]
type			= VelSet
trigger1		= (Time = 19)
y			= -2

[State 7005:	VelSet]
type			= VelSet
trigger1		= (Time = 20)
x			= FVar(0)

[State 7005:	VelAdd]
type			= VelAdd
trigger1		= (Time > 19)
y			= 0.54

[State 0, ]
type = Explod
trigger1 = AnimElem = 2
anim = 95
id = 98
pos = 27,-85
postype = p1
bindtime = 1
vel = 0,0
pausemovetime = 20
scale	= .5,.5
sprpriority	= 5
ownpal = 1

[State 0,7]
type = HitOverride
triggerall = (Var(12) > 0) && (Command = "hparry")
trigger1 = (Command != "holddown") && (Command != "holdback")
attr = SCA,NA,SA,HA,NP,SP,HP
slot = 2
stateno = 97
ignorehitpause = 1




[State 0, 3]
type = PosAdd
trigger1 = (AnimElem = 2, = 0) || (AnimElem = 2, = 4) || (AnimElem = 2, = 8)
x = 2

[State 0, 3]
type = PosAdd
trigger1 = (AnimElem = 2, = 1) || (AnimElem = 2, = 5) || (AnimElem = 2, = 9)
x = -2

[State 0, 6]
type = StopSnd
trigger1 = !Time
channel = -1

[State 0, 8]
type = CtrlSet
trigger1 = (Time > Floor(Var(17)*1.5))
value	= 1

[State 0, 9]
type = ChangeState
trigger1 = (Pos Y >= 0) && (Vel Y > 0)
value	= 52

;Succesful Parry (Ground)
[Statedef 98] 
type = C 
movetype= I 
physics = N 
anim = 98
velset = 0,0 
ctrl = 0
poweradd = ifelse(palno=12,400,200)
facep2 = 1
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority	= 2


[State 0, 1] 
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 0, 2]
type = StateTypeSet
trigger1 = !time
movetype = H

[State 0, 3]
type = Null
trigger1 = (!Time)
trigger1 = (Var(12) := 0) && (Var(13) := 1) && (Var(17) := GetHitVar(HitShakeTime))
trigger2 = (Command = "holdfwd") && (Var(12) = 0) && (Var(13) = 0)
trigger2 = (Var(12) := 4)

[State 0, 4]
type = StateTypeSet
trigger1 = (!Time)
movetype = I


[State 700, Effect]
type = Helper
trigger1 = Time = 3
name = "Parry effect"
stateno = 95
ID = 95
pos = 0,0
keyctrl = 0
postype = p1
supermovetime = 99999999
pausemovetime = 99999999
ownpal = 1
IgnoreHitPause = 1
persistent = 0

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 3 
value = 6,1
volume = 255

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 3 
value = 2,0
volume = 255

[State 0, 2]
type = NotHitBy
trigger1 = (Time < Floor(Var(17)*1.5)+3)
value = SCA
time = 2

[State 0, 2]
type = Pause
trigger1 = time = 3
time = Floor(Var(17)*1.5)+5
movetime = Floor(Var(17)*1.5)+1

[State 0, 3]
type = PosAdd
trigger1 = (AnimElem = 2, = 0) || (AnimElem = 2, = 4) || (AnimElem = 2, = 8)
x = 2

[State 0, 3]
type = PosAdd
trigger1 = (AnimElem = 2, = 1) || (AnimElem = 2, = 5) || (AnimElem = 2, = 9)
x = -2

[State 0, ]
type = Explod
trigger1 = AnimElem = 2
anim = 95
id = 98
pos = 44,-36
postype = p1
bindtime = 1
vel = 0,0
pausemovetime = 20
scale	= .5,.5
sprpriority	= 5
ownpal = 1

[State 0, 6]
type = StopSnd
trigger1 = (!Time)
channel = -1

[State 0,7]
type = HitOverride
triggerall = (Var(12) > 0) && (Command = "holdfwd")
trigger1 = (Command != "holddown") && (Command != "holdback")
attr = SA,NA,SA,HA,NP,SP,HP
slot = 2
stateno = 99
ignorehitpause = 1

[State 0,7]
type = HitOverride
triggerall = (Var(12) > 0) && (Command = "lparry")
trigger1 = (Command != "holddown") && (Command != "holdback")
attr = C,NA,SA,HA,NP,SP,HP
slot = 2
stateno = 99
ignorehitpause = 1


[State 0, 8]
type = CtrlSet
trigger1 = (Time > Floor(Var(17)*1.5))
value	= 1

[State 0, 9]
type = ChangeState
trigger1 = AnimTime = 0
value	= 11
ctrl = 1



;Succesful Parry (Ground)
[Statedef 99] 
type = S 
movetype= I 
physics = N 
anim = 99
velset = 0,0 
ctrl = 0
poweradd = ifelse(palno=12,400,200)
facep2 = 1
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority	= 2


[State 0, 1] 
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 0, 2]
type = StateTypeSet
trigger1 = !time
movetype = H

[State 0, 3]
type = Null
trigger1 = (!Time)
trigger1 = (Var(12) := 0) && (Var(13) := 1) && (Var(17) := GetHitVar(HitShakeTime))
trigger2 = (Command = "holdfwd") && (Var(12) = 0) && (Var(13) = 0)
trigger2 = (Var(12) := 4)

[State 0, 4]
type = StateTypeSet
trigger1 = (!Time)
movetype = I


[State 700, Effect]
type = Helper
trigger1 = Time = 3
name = "Parry effect"
stateno = 95
ID = 95
pos = 0,0
keyctrl = 0
postype = p1
supermovetime = 99999999
pausemovetime = 99999999
ownpal = 1
IgnoreHitPause = 1
persistent = 0

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 3 
value = 6,1
volume = 255

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 3 
value = 2,0
volume = 255

[State 0, 2]
type = NotHitBy
trigger1 = (Time < Floor(Var(17)*1.5)+3)
value = SCA
time = 2

[State 0, 2]
type = Pause
trigger1 = time = 3
time = Floor(Var(17)*1.5)+5
movetime = Floor(Var(17)*1.5)+1

[State 0, 3]
type = PosAdd
trigger1 = (AnimElem = 2, = 0) || (AnimElem = 2, = 4) || (AnimElem = 2, = 8)
x = 2

[State 0, 3]
type = PosAdd
trigger1 = (AnimElem = 2, = 1) || (AnimElem = 2, = 5) || (AnimElem = 2, = 9)
x = -2

[State 0, ]
type = Explod
trigger1 = AnimElem = 2
anim = 95
id = 98
pos = 44,-53
postype = p1
bindtime = 1
vel = 0,0
pausemovetime = 20
scale	= .5,.5
sprpriority	= 5
ownpal = 1

[State 0, 6]
type = StopSnd
trigger1 = (!Time)
channel = -1

[State 0,7]
type = HitOverride
triggerall = (Var(12) > 0) && (Command = "holdfwd")
trigger1 = (Command != "holddown") && (Command != "holdback")
attr = SA,NA,SA,HA,NP,SP,HP
slot = 2
stateno = 99
ignorehitpause = 1

[State 0,7]
type = HitOverride
triggerall = (Var(12) > 0) && (Command = "lparry")
trigger1 = (Command != "holddown") && (Command != "holdback")
attr = C,NA,SA,HA,NP,SP,HP
slot = 2
stateno = 99
ignorehitpause = 1


[State 0, 8]
type = CtrlSet
trigger1 = (Time > Floor(Var(17)*1.5))
value	= 1

[State 0, 9]
type = ChangeState
trigger1 = AnimTime = 0
value	= 0
ctrl = 1

;Fall Parry
[Statedef 900] 
type = A 
movetype= I 
physics = A 
anim = 900
velset = -4,-4 
ctrl = 0

[State 0, 1]
type = PosSet
trigger1 = !time
y = 0
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = Explod
trigger1 = !time
anim = 95
id = 98
pos = 0,0
postype = p1
bindtime = 1
vel = 0,0
pausemovetime = 20
scale	= .5,.5
sprpriority = 5
ownpal = 1

[State 0, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 10
;ignorehitpause = 0
;persistent = 1


[State 1031, 1] 
type = PlayerPush 
trigger1 = Time >= 0 
value = 0

[State 1031, 2] 
type = PowerAdd
trigger1 = Time = 0 
value = 100


[State 700, Effect]
type = Helper
trigger1 = !Time
name = "Parry effect"
stateno = 901
ID = 95
pos = 0,0
keyctrl = 0
postype = p1
supermovetime = 99999999
pausemovetime = 99999999
ownpal = 1
IgnoreHitPause = 1
persistent = 0

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 0 
value = 6,1
volume = 255

[State 0, 2] 
type = PlaySnd 
trigger1 = Time = 0 
value = 2,0
volume = 255

;Parry effect
[Statedef 901] 
type     = A
movetype = I
physics  = N
ctrl     = 0
anim     = 9997
SprPriority = 7


[State 0, ]
type = Palfx
trigger1 = 1
add = ceil(-(time*.01)*2000),ceil(-(time*.01)*2000),ceil(-(time*.01)*2000)
time = 1
ignorehitpause = 1
removeongethit = 1
persistent = 1

[State 0, ]
type = BindToRoot
trigger1 = 1
pos = 0,0
ignorehitpause = 1
persistent = 1

[State 0,1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow
ignorehitpause = 1
persistent = 1

[State 0,1]
type = Explod
trigger1 = 1
anim = (parent, anim)
postype = p1
pos = 0,0
scale = 1,1
sprpriority = 7
bindtime = -1
ignorehitpause = 1
removeongethit = 1
supermove = 1
supermovetime = 99999999
pausemovetime = 99999999
ID = 95
trans = add


[State 0,1]
type = ModifyExplod
trigger1 = 1
scale = 1+(time*.01),1+(time*.01)
ID = 95

[State 0, 1]
type = RemoveExplod
trigger1 = Time >= 15
ID = 95

[State 0,1]
type = DestroySelf
trigger1 = Time = 15


; Emergency Recover
[Statedef 910]
type    = A
movetype= I
physics = N
anim = 5210
ctrl = 0
poweradd = -3000
facep2 = 1

[State 5210, 1] ;Blink white
type = BGPalFX
trigger1 = Time = 0
time = 10
add = 255,255,255 ;256,256,256
sinadd = -255,-255,-255,38
 
[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 20, 1

[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 2, 2
channel = 0

[State 3510, 4]
type = explod
trigger1 = time =0
anim = 9105
pos = 0,-50
postype = p1
sprpriority = -2
supermove = 1
bindtime = 1
vel = 0,0
ownpal = 1

[State 5210, 1]
type = PosFreeze
trigger1 = Time = 0
value = 4

[State 5210, 2] ;Turn if not facing opponent
type = Turn
trigger1 = Time = 0
trigger1 = p2dist X < -20

[State 5210, 1] 
type = VelMul
trigger1 = Time = 4
x = .8
y = .8

[State 5210, 1]
type = VelAdd
trigger1 = Time = 4
y = -4.5

[State 5210, 1] 
type = VelMul
trigger1 = Time = 4
trigger1 = Vel Y > 0
y = .5

[State 5210, 1]
type = VelAdd
trigger1 = Time = 4
trigger1 = Vel Y > -3
y = -2

[State 5210, 1]
type = VelAdd
trigger1 = Time = 4
trigger1 = Vel Y > -2
y = -1

[State 5210, 2] ;Go up
type = VelAdd
trigger1 = Time = 4
trigger1 = Command = "holdup"
y = -2

[State 5210, 2] ;Go down
type = VelAdd
trigger1 = Time = 4
trigger1 = Command = "holddown"
y = 1.5

[State 5210, 2] ;Go fwd
type = VelMul
trigger1 = Time = 4
trigger1 = Command = "holdfwd"
x = 1

[State 5210, 2] ;Go back
type = VelAdd
trigger1 = Time = 4
trigger1 = Command = "holdback"
x = -1

[State 5210, 3]
type = NotHitBy
trigger1 = Time = 0
value = SCA
time = 15

[State 5210, 4]
type = CtrlSet
trigger1 = Time = 10
value = 1

[State 5210, 5]
type = VelAdd;Gravity
trigger1 = Time >= 4
y = .35

[State 5210, 5] ;Land on ground
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 10
value = 52 ;JUMP_LAND
ctrl = 1

;Override Trip Anim
; HIT_TRIP (shaking)
[Statedef 5070]
type    = A
movetype= H
physics = N
velset = 0,0

[State 5070, 1]
type = ChangeAnim 
trigger1 = 1
value = 5070

[State 5070, 2]
type = ChangeState
trigger1 = HitShakeOver
value = 5071

[State 5070, 3]
type = ForceFeedback
trigger1 = time = 0
time = 12
waveform = sinesquare
ampl = 140

;---------------------------------------------------------------------------
; HIT_TRIP2 (fall through air)
[Statedef 5071]
type    = A
movetype= H
physics = N

[State 5071, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1

[State 5071, 2] ;Acceleration
type = VelAdd
trigger1 = 1
y = GetHitVar(yaccel)

[State 5071, 3] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 15
type = ChangeState
value = 5110

;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; HIT_BOUNCE (hit ground)
[Statedef 5100]
type    = L
movetype= H
physics = N




[State 0, 1] ;fall parry
type = ChangeState
trigger1 = alive
trigger1 = time < 2 && command = "lparry"
value = 900


[State 5100, 1]
type = VelSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
trigger1 = vel x > 1
x = 1

[State 5100, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 5100, Var] ;Save fall velocity
type = VarSet
trigger1 = Time = 0
;trigger1 = GetHitVar(fall.yvel) = 0
sysvar(1) = floor(vel y)

[State 5100, 2] ;Hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
trigger1 = (anim != [5052,5059]) && (anim != [5062,5069])
trigger2 = !SelfAnimExist(5100 + (anim % 10))
value = 5100 + (anim = 5070)

[State 5100, 3] ;Hit ground anim (for hit up)
type = ChangeAnim
trigger1 = time = 0
trigger1 = (anim = [5052,5059]) || (anim = [5062,5069])
trigger1 = SelfAnimExist(5100 + (anim % 10))
value = 5100 + (anim % 10)

[State 5100, 4]
type = PosSet
trigger1 = Time = 0
y = 0

[State 5100, 5]
type = VelSet
trigger1 = Time = 0
y = 0

[State 5100, 6] ;Reduce speed
type = VelMul
trigger1 = Time = 0
x = 0.75

[State 5100, 7]
type = ChangeState
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
value = 5110 ;HIT_LIEDOWN

[State 5100, 8]
type = GameMakeAnim
trigger1 = Time = 1
;value = 61
;pos = 0, 0
;under = 1
value = 60 + (sysvar(1) > 5) + (sysvar(1) > 14)
pos = 0, 0
under = sysvar(1) <= 10

[State 5100, 9]
type = HitFallDamage
trigger1 = Time = 3

[State 5100, 10]
type = PlaySnd
trigger1 = Time = 1
;value = F7, 0 ;Hit ground
value = F7, (sysvar(1) > 5) + (sysvar(1) > 14)

[State 5100, 11]
type = PosFreeze
trigger1 = 1

[State 5100, 12]
type = ChangeState
trigger1 = AnimTime = 0
value = 5101

[State 5100, 13]
type = ForceFeedback
trigger1 = Time = 0
waveform = sinesquare
ampl = 128,-3,-.2,.005
time = 20

;---------------------------------------------------------------------------
; HIT_BOUNCE (bounce into air)
[Statedef 5101]
type    = L
movetype= H
physics = N

[State 5101, 1] ;Coming hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
trigger1 = anim != [5102,5109]
trigger2 = !SelfAnimExist(5160 + (anim % 10))
value = 5160 + (anim = 5101)

[State 5101, 2] ;Coming hit ground anim (for hit up)
type = ChangeAnim
triggerall = time = 0
trigger1 = anim = [5102,5109]
trigger1 = SelfAnimExist(5160 + (anim % 10))
value = 5160 + (anim % 10)

[State 5101, 3]
type = HitFallVel
trigger1 = Time = 0

[State 5101, 4]
type = PosSet
trigger1 = Time = 0
y = 20

[State 5101, 5] ;Acceleration
type = VelAdd
trigger1 = 1
y = .4

[State 5101, 6] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 12
type = ChangeState
value = 5110

;---------------------------------------------------------------------------
; HIT_LIEDOWN
[Statedef 5110]
type    = L
movetype= H
physics = N

[State 5110, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 5110, 1] ;For hit up/up-diag type (from state 5081)
type = ChangeAnim
persistent = 0
trigger1 = SelfAnimExist(5110 + (anim % 10))
trigger1 = anim = [5081,5089]
value = 5110 + (anim % 10)

[State 5110, 2] ;Hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
triggerall = anim != [5110,5119] ;Not already changed anim
trigger1 = anim != [5162,5169]
trigger2 = !SelfAnimExist(5170 + (anim % 10))
value = 5170 + (anim = 5070)

[State 5110, 3] ;Hit ground anim (for hit up)
type = ChangeAnim
triggerall = time = 0
triggerall = anim != [5110,5119] ;Not already changed anim
trigger1 = anim = [5162,5169]
trigger1 = SelfAnimExist(5170 + (anim % 10))
value = 5170 + (anim % 10)

[State 5110, 4]
type = HitFallDamage
trigger1 = Time = 0

[State 5110, 5]
type = PosSet
trigger1 = Time = 0
y = 0

[State 5110, Var] ;Get fall velocity
type = VarSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) != 0
sysvar(1) = floor(vel y)

[State 5110, 6]
type = PlaySnd
trigger1 = Time = 0
trigger1 = !SysVar(0)
;value = F7, 0 ;Hit ground
value = F7, (sysvar(1) > 5) + (sysvar(1) > 14)

[State 5110, 7]
type = GameMakeAnim
trigger1 = Time = 0
trigger1 = !SysVar(0)
value = 60 + (sysvar(1) > 5) + (sysvar(1) > 14)
pos = 0, 0
under = sysvar(1) <= 10

[State 5110, 8]
type = VelSet
trigger1 = Time = 0
y = 0

[State 5110, 9] ;For hit up type
type = ChangeAnim
persistent = 0
triggerall = anim = [5172,5179]
triggerall = SelfAnimExist(5110 + (anim % 10))
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground anim
value = 5110 + (anim % 10)

[State 5110, 10] ;For normal
type = ChangeAnim
persistent = 0
triggerall = Anim != [5112,5119]
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
value = 5110 + (anim = 5171)

[State 5110, 11] ;If just died
type = ChangeState
triggerall = !alive
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
trigger3 = Anim = [5112,5119]
value = 5150

[State 5110, 12]
type = VarSet
trigger1 = SysVar(0)
trigger1 = Time = 0
sysvar(0) = 0

[State 5110, 13] ;Friction
type = VelMul
trigger1 = 1
x = 0.85

[State 5110, 14]
type = ForceFeedback
trigger1 = alive
trigger1 = Time = 0
time = 8
ampl = 240
waveform = sine

[State 5110, 15]
type = ForceFeedback
trigger1 = !alive
trigger1 = Time = 0
ampl = 200, 7, -.467
time = 30
waveform = sine

; HIT_GETUP
[Statedef 5120]
type    = L
movetype= I
physics = N

[State 5120, 1a] ;Get up anim (normal)
type = ChangeAnim
triggerall = time = 0
trigger1 = anim != [5111,5119]
trigger2 = !SelfAnimExist(5120 + (anim % 10))
value = 5120 + (anim % 10)

[State 5120, 1b] ;Get up anim (for hit up/diag-up)
type = ChangeAnim
triggerall = time = 0
trigger1 = anim = [5111,5119]
trigger1 = SelfAnimExist(5120 + (anim % 10))
value = 5120 + (anim % 10)

[State 5120, 2]
type = VelSet
trigger1 = Time = 0
x = 0

[State 5120, 3]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 5120, 4]
type = HitFallSet
trigger1 = AnimTime = 0
value = 1

[State 5120, 5] ;Can't be thrown right after getting up
type = NotHitBy
trigger1 = AnimTime = 0
value = , NT,ST,HT
time = 12

[State 5120, 6] ;Can't be hit right after getting up (short time)
type = NotHitBy
trigger1 = AnimTime = 0
value2 = SCA
time = 3

[State 0, ]
type = PosAdd
trigger1 = AnimElem = 1 && Anim = 5120
x = 27



[State 5120, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;----------------------------------------------------------------------
[Statedef 20]
type    = S
physics = S
sprpriority = 0
ctrl = 1

[State 1404, Helper];afterimages
type = Helper
trigger1 = (Time%3 = 0) && (palno = 12)
name = "after image helper"
id = 1045
postype = P1
pos = 0,0
stateno = 1045
ownpal = 1

[State 20, 1]
type = VelSet
trigger1 = command = "holdfwd"
x = const(velocity.walk.fwd.x) + ((palno = 12) * 5.5)

[State 20, 2]
type = VelSet
trigger1 = command = "holdback"
x = const(velocity.walk.back.x) + ((palno=12) * -5.5)

[State 20, 3]
type = ChangeAnim
triggerall = vel x > 0
trigger1 = Anim != 20 && Anim != 5 && Anim != 2
trigger2 = Anim = 5 && AnimTime = 0
value = 20

[State 20, 4]
type = ChangeAnim
triggerall = vel x < 0
trigger1 = Anim != 21 && Anim != 5 && Anim != 3
trigger2 = Anim = 5 && AnimTime = 0
value = 21

;---------------------------------------------------------------------------
; Override common states (use same number to override) :
;---------------------------------------------------------------------------
; Run Forward
[Statedef 100]
type    = S
physics = N
anim = 100
ctrl = 0

[State 100, 2]
type = VelSet
trigger1 = AnimElem = 1
x = const(velocity.run.fwd.x)



[State 100, 7]
type = MakeDust
trigger1 = AnimElem = 2, >= 0
pos = -15,-2

[State 100, 2]
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 100, 5]
type = ChangeState
trigger1 = time = 15
value = 101

[State 100, 4]
type = CtrlSet
trigger1 = Time = 5
value = 1

;Stop
[Statedef 101]
type    = S
physics = S
anim = 101
ctrl = 0

[State 0, 1]
type = PlaySnd
trigger1 = !time
volume = 255
value = 0,10


[State 101,1]
type = VelSet 
trigger1 = time = 0
y = 0

[State 101,1]
type = PosSet 
trigger1 = time = 0
y = 0


[State 100, 7]
type = MakeDust
trigger1 = AnimElem = 2, >= 0
pos = -15,-2

[State 100, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;--------------------------------------------------------------------------
; Flip Backward
[Statedef 105]
type    = A
physics = N
anim = 105
ctrl = 0

[State 100, 2]
type = VelSet
trigger1 = AnimElem = 1
x = const(velocity.run.back.x)
y = const(velocity.run.back.y)

[State 100, 2]
type = AssertSpecial
trigger1 = 1
flag = NoWalk


[State 100, 4]
type = CtrlSet
trigger1 = Time = 5
value = 1

[State 100, 1]
type = Gravity
trigger1 = 1

[State 100, 5]
type = ChangeState
trigger1 = pos Y >= 0 && vel Y  > 0
value = 52

[Statedef 5900]
type = S

[State 0, 1]
type = VarSet
trigger1 = !time 
var(1) = 1


;So stance will move before
[state 191, 0]
type = changestate
;trigger1 = time = 0
trigger1 = roundno != 1
value = 0

[State 5900, 1] ;Intro
type = ChangeState
trigger1 = !roundsexisted 
value = 190

; Stand
[Statedef 0]
type = S
physics = S
sprpriority = 0



[State 0, ]
type = Helper
trigger1 = !time && !NumHelper(1)
helpertype = normal
name = "Stand effect"
ID = 1
pos = 0,0
postype = p1
stateno = 1
;keyctrl = 0
ownpal = 1
size.ground.back = 0
size.ground.front = 0
ignorehitpause = 1
;persistent = 1

[State 0, 1]
type = ChangeAnim
trigger1 = Anim != 0 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0 ;Turn anim over
value = 0

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = abs(vel x) < 2
trigger2 = Time = 4
x = 0

; Flaming Hands
[Statedef 1]
type = S
physics = N
sprpriority = 0
anim = 9997

[State 0, ]
type = Turn
trigger1 = facing != parent, facing


[State 0, ]
type = BindToParent
trigger1 = 1
time = 9
pos = 0,0



[State 0, ]
type = Explod
trigger1 = !time
anim = 1
ID = 1
pos = 21,-41
postype = p1
bindtime = -1
removetime = -1
sprpriority = 3
ownpal = 1
ignorehitpause = 1
scale = ifelse(power = 3000,1,.75),ifelse(power = 3000,1,.75)

[State 0, ]
type = Explod
trigger1 = !time
anim = 1
ID = 2
pos = -13,-41
postype = p1
bindtime = -1
removetime = -1
sprpriority = 0
ownpal = 1
ignorehitpause = 1
scale = ifelse(power = 3000,1,.75),ifelse(power = 3000,1,.75)


[State 0, ]
type = ModifyExplod
trigger1 = parent, AnimElemno(0) = 1
anim = 1
pos = 21,-41
postype = p1
ID = 1
scale = ifelse(power = 3000,1,.75),ifelse(power = 3000,1,.75)

[State 0, ]
type = ModifyExplod
trigger1 = parent, AnimElemno(0) = 2
trigger2 = parent, AnimElemno(0) = 6
anim = 1
pos = 17,-40
postype = p1
ID = 1
scale = ifelse(power = 3000,1,.75),ifelse(power = 3000,1,.75)

[State 0, ]
type = ModifyExplod
trigger1 = parent, AnimElemno(0) = [1,6]
anim = 1
pos = -13,-41
postype = p1
ID = 2
scale = ifelse(power = 3000,1,.75),ifelse(power = 3000,1,.75)

[State 0, ]
type = ModifyExplod
trigger1 = parent, AnimElemno(0) = [3,5]
anim = 1
pos = 15,-39
postype = p1
ID = 1
scale = ifelse(power = 3000,1,.75),ifelse(power = 3000,1,.75)


[State 0, ]
type = RemoveExplod
trigger1 = parent, stateno !=0
ID = 1

[State 0, ]
type = RemoveExplod
trigger1 = parent, stateno !=0
ID = 2
;ignorehitpause = 0
;persistent = 1



[State 0, ]
type = DestroySelf
trigger1 = parent, stateno !=0
;ignorehitpause = 0
;persistent = 1



;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]
;This controller plays a sound everytime KFM lands from a jump, or
;from his back-dash.

[State 3000, 1]
type = StopSnd
trigger1 = prevstateno >= 10000
ignorehitpause = 1
channel = 9


[State 0,1]
type = Helper
triggerall = (WinKO) && (Var(51) !=1) && !NumHelper(9994)
trigger1 = stateno = [3000,4800]
pos = 35, 0
postype = p1
stateno = 9994
helpertype = normal
name = "Super Finish BG"
keyctrl = 0
ownpal = 1
ID = 9994
ignorehitpause = 1

[State -2,1]
type = RemoveExplod
trigger1 = NumHelper(9994) 
ID = 999
ignorehitpause = 1

[State 0, 1]
type = AssertSpecial
trigger1 =  NumHelper(9994) 
ignorehitpause = 1
flag = NoFG
flag2 = NoBarDisplay
flag3= NoMusic

[State -2, Finish SFX]
type = AllPalFX
triggerall = (WinKO) && (Var(51) !=1)
trigger1 = stateno >= 1000
add = 255,255,255
sinadd = -255,-255,-255,75
persistent = 0
time =20
ignorehitpause = 1


[State -2,1]
type = PlaySnd
trigger1 = (WinKO) && (Var(51) !=1) && !NumHelper(994)
persistent = 0
value = 55,1
volume =255
ignorehitpause = 1

[State -2, 1]
type = EnvShake
trigger1 = (WinKO) && (Var(51) !=1) 
time = 10
ignorehitpause = 1
persistent = 0

[State -2, Super Var 2]
type = VarSet
trigger1 = (WinKO) && (Var(51) !=1) 
v = 51
value = 1
ignorehitpause = 1

[State -2, Super Var 2]
type = VarSet
trigger1 = p2name = "Infinte (Tiffany Charles)" 
;trigger1 = teamside = 1 && !ishometeam
v = 53
value = 1
ignorehitpause = 1

[State -2, Super Var 2]
type = VarSet
trigger1 = p2name = "Koga" || p2name = "Kogason"
v = 54
value = 1
ignorehitpause = 1

[State -2, Super Var 2]
type = VarSet
trigger1 = p2name = "Disciple's Storm" 
v = 54
value = 2
ignorehitpause = 1

[State -2, Super Var 2]
type = VarSet
trigger1 = p2name = "Silent Storm" 
;trigger1 = teamside = 1 && !ishometeam
v = 54
value = 3
ignorehitpause = 1

[State -1, 1]
type = Explod
triggerall = palno = 12
trigger1 = !MatchOver & movetype !=H
trigger1 = Gametime%20=0
anim = 1051
facing = ifelse(Random<=600,1,-1)
vfacing = ifelse(Random<=500,-1,1)
scale = .5,.5
postype = p1
pos = 0,-40
sprpriority = 2
supermove = 1
ownpal = 1
random = 20,60
bindtime = -1
removeongethit = 1

;TeamMode Player Detection
[State 5900, 1] 
type = VarSet
triggerall = p3name = "Rogue" || p3name = "Big Eli King" || p3name = "Dark Chun-Li R" || p3name = "Peach" || p3name = "Venom" || p3name = "VenomEX" || p3name = "Silent Storm EX"
trigger1 = roundstate < 2
trigger1 = pos X < partner, Pos X ;Am I player 3 or 4
var(56) = ifelse(teamside =2,1,2)

[State 5900, 1] 
type = VarSet
triggerall = p3name = "Rogue" || p3name = "Big Eli King" || p3name = "Dark Chun-Li R" || p3name = "Peach" || p3name = "Venom" || p3name = "VenomEX" || p3name = "Silent Storm EX"
trigger1 = roundstate < 2
trigger1 = pos X > partner, Pos X ;Am I player 1 or 2
var(56) = ifelse(TeamSide = 2,2,1)


[State -3, Landing Sound]
type = PlaySnd
triggerall = Time = 1
trigger1 = stateno = 52 ;Jump land
value = 55, 2

[State -3, Landing Sound]
type = GameMakeAnim
triggerall = Time = 1
trigger1 = stateno = 52 ;Jump land
value = 60
pos = 0,0
under =1

; Play "ow" sound when hit
[State -3, Ow Sound]
type = PlaySnd
triggerall = Time = 1
triggerall = alive && (random <= 500)
trigger1 = stateno = 5001 || stateno = 5011
trigger2 = stateno = 5040 || stateno = 5050
value = 3,0+(random%3)
channel = 1
lowpriority = 1

; Play "ow" sound when hit
[State -3, Ow Sound]
type = PlaySnd
triggerall = Time = 1
triggerall = alive 
trigger1 = stateno = 5070
value = 3,3+(random<=500)
channel = 1
lowpriority = 1

[State 191, Snd 1]
type = PlaySnd
trigger1 = Stateno = 5120 && time = 1 && random <= 600
value = 3,5+(random%3)
channel = 0

[State -3, Ow Sound]
type = PlaySnd
triggerall = p2stateno = 2052 && p2movetype = H
trigger1 = (enemynear,time)%20=0
value = 0,9

[State 3510, 4]
type = AssertSpecial
trigger1 = NumExplod(999) 
flag = noFG
flag2= NoBG
ignorehitpause =1 

[State 1000, ChangeState]
type = RemoveExplod
trigger1 = NumHelper(9999) = 1
trigger1 = helper(9999), time <= 5
ID = 999

[State -2, Lightning Hit Detection]
type =Varset
trigger1 = P2movetype != H && Var(1) =1
var(1) = 0

[State -2]; Sorrowedge's Speed Up Code
type = changeanim
triggerall = roundstate = 2 && movetype != H && palno = 12
trigger1 = animelemtime(animelemno(0)+1) < 0 && anim >= 200 && (anim != [800,1009]) && (anim !=[1060,1069]) && Anim < 3000
trigger1 = animelemtime(animelemno(0)) > floor((animelemtime(animelemno(0))-animelemtime(animelemno(0)+1))/2)
ignorehitpause = 0
value = anim
elem = animelemno(0)+1

[State 3510, 4]
type = AssertSpecial
trigger1 = palno = 12
flag = nojugglecheck


[State -3, Ow Sound]
type = AttackMulSet
trigger1 = palno = 12
value = .9

[State -3, Ow Sound]
type = DefenceMulSet
trigger1 = palno = 12
value = 2


;===============================
;Codes for Phase Out
;===============================

[State SUBTRACT PHASE TIMER ]
type = VarAdd
trigger1 = var(5)
var(5) = -1
ignorehitpause =1

[State SUBTRACT RESTRICT TIMER ]
type = VarAdd
trigger1 = !var(5) 
trigger1 = var(6)
var(6) = -1

[State TRANSPARENCY FOR PHASE ]
type = Trans
trigger1 = var(5) 
trans = addalpha
alpha = 128,128
ignorehitpause = 1

[State PROJ INVINCIBILITY FOR PHASE ]
type = NotHitBy
triggerall = stateno !=[1040,1042] ; Exclude Shadow Slip
trigger1 = var(5)
value = ,AP
ignorehitpause = 1
;persistent = 1




;Parrying Code by FlowaGirl

[State -2, 0]
type = Null
trigger1 = (!Time) && (Var(13) = 0)
trigger1 = ((Command = "holdfwd") && (StateNo = [0,20])) ^^ ((Command = "holddown") && (StateNo = [0,12]))
trigger1 = (Var(12) := 8)
trigger2 = (Command != "holdfwd") && (Command != "holddown") && (Var(13) = 1)
trigger2 = (Var(13) := 0)
trigger3 = (Var(12) = 0)
trigger3 = ((Command = "holdfwd") && (StateNo = [160,165])) ^^ ((Command = "holddown") && (StateNo = [160,165]))
trigger3 = (Var(12) := 5)
trigger4 = (Var(12) < 0) && (StateNo != [160,165])
trigger4 = (Var(12) := 0)
trigger5 = (StateNo = [150,165])
trigger5 = (Var(14) := 1)
trigger6 = (StateNo != [150,165]) && (StateNo != [98,99]) && (Var(14) = 1)
trigger6 = (Var(14) := 0)
ignorehitpause = 1

[State -2, 0]
type = VarAdd
trigger1 = (Var(12) > 0)
var(12) = (IfElse((StateNo = [160,165]),-2,-1))
ignorehitpause = 1

[State -2, 0]
type = Helper
trigger1 = ((StateNo = 50) || (StateNo = 99)) && (Command = "holdfwd") && (NumHelper(97) = 0)
helpertype = Normal
name = "Air Parry"
id = 96
pos = 0,0
postype = p1
facing = 0
stateno = 96
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
ignorehitpause = 1

[State -2, 1]
type = HitOverride
triggerall 	= (StateType != A) && (Ctrl) && (Var(12) > 0)
trigger1 = (Command != "holddown") && (Command != "holdback")
attr = SA,NA,SA,HA,NP,SP,HP
slot = 0
stateno = 99
ignorehitpause = 1

[State -2, 1]
type 	= HitOverride
triggerall = (StateType != A) && (StateNo = 161) && (Var(12) > 0)
trigger1 = (Command != "holddown") && (Command != "holdback")
attr 	= SA,NA,SA,HA,NP,SP,HP
slot 	= 1
stateno = 99
ignorehitpause = 1

[State -2, 1]
type = HitOverride
triggerall = (StateType != A) && (Ctrl) && (Var(12) > 0) && (StateType = C)
trigger1 = (Command != "holdfwd") && (Command != "holdback")
attr = C,NA,SA,HA
slot = 0
stateno = 98
ignorehitpause = 1

[State -2, 1]
type = HitOverride
triggerall = (StateType != A) && (StateNo = 163) && (Var(12) > 0) && (StateType = C)
trigger1 = (Command != "holdfwd") && (Command != "holdback")
attr = C,NA,SA,HA
slot = 1
stateno = 98
ignorehitpause = 1

[State -2, 1]
type = HitOverride
triggerall = ((StateNo = 50) || (StateNo = 98) || (StateNo = 165)) && (Var(12) > 0)
trigger1 = (Command != "holddown") && (Command != "holdback")
attr = SCA,NA,SA,HP,NP,SP,HP
slot = 0
stateno = 97
ignorehitpause = 1

;---------------------------------------------------------------------------
; States that are executed when in self's state file (use statedef -3)
;---------------------------------------------------------------------------

;[Statedef -3]


;Win Screen
[Statedef 9991]
type = S
movetype = I
anim = 9997


[State 0, 1]
type = DestroySelf
trigger1 = parent, stateno = 186

[State 0, 1]
type = BGPalFX
trigger1 = time >= 200
color = 0
add = 0,-255,0
persistent = 1
time =1
ignorehitpause = 1

[State -2, Reset]
type = AssertSpecial
trigger1 = time = [0,800]
flag = RoundNotOver

[State -2, Reset]
type = AssertSpecial
trigger1 = time = [0,1200]
flag = NoBarDisplay
flag2 =NoMusic


[State -2, Reset]
type = AssertSpecial
trigger1 = time = [200,1200]
flag =NoFG


[State 9990, Good]
type = PlaySnd
trigger1 = !time && parent, Var(56) !=2
value = 65,0
abspan = 0
volume = 255
freqmul = .5

[State 9990, Good]
trigger1 = time = 200 && parent, Var(56) !=2
type = Explod
ownpal = 1
anim = 9996
postype = left
pos = 160,120
bindtime = -1
removetime =800
ID = 9996
ontop =1

[State 9999,0]
type = ModifyExplod
trigger1 = time = [200,210]
ID = 9996
scale = 2.0 - (.1*(time-200)), 2.0 - (.1*(time-200))

[State 9990, Good]
trigger1 = time = 220 && parent, Var(56) !=2
type = Explod
ownpal = 1
anim = 9998
postype = left
pos = 160,170
bindtime = -1
removetime =700
ID = 9990
ontop =1


[State 9990, Good]
trigger1 = time = 220 && parent, Var(56) !=2
type = Explod
ownpal = 1
anim = 9995
postype = left
pos = 160,205
bindtime = -1
removetime =700
vfacing = -1
ID = 9995
ontop =1

[State 9999,0]
type = ModifyExplod
trigger1 = time = [220,230]
ID = 9995
scale = (.1*(time-220)), (.1*(time-220))

[State 9990, Good]
triggerall = parent, Var(54) = 0
trigger1 = time = 235 && parent, Var(56) !=2
type = Explod
ownpal = 1
anim = 9980+(random%9)
postype = left
pos = 160,207
bindtime = -1
removetime =700
ID = 9990
ontop =1

[State 9990, Good]
triggerall = parent, Var(54) = 2
trigger1 = time = 235 && parent, Var(56) !=2
type = Explod
ownpal = 1
anim = 9971
postype = left
pos = 160,205
bindtime = -1
removetime =700
ID = 9990
ontop =1

[State 9990, Good]
triggerall = parent, Var(54) = 1
trigger1 = time = 235 && parent, Var(56) !=2
type = Explod
ownpal = 1
anim = 9970
postype = left
pos = 160,205
bindtime = -1
removetime =700
ID = 9990
ontop =1

[State 9990, Good]
triggerall = parent, Var(54) = 3
trigger1 = time = 235 && parent, Var(56) !=2
type = Explod
ownpal = 1
anim = 9972
postype = left
pos = 160,205
bindtime = -1
removetime =700
ID = 9990
ontop =1

; Super Finish Effect
[Statedef 9994]
type = S
ctrl = 0
anim = 9997
velset = 0,0
sprpriority = 4

[State 0,1]
type = RemoveExplod
trigger1 = !time 
ID = 998

[State 0, 1]
type = AssertSpecial
trigger1 = 1
ignorehitpause = 1
flag = NoFG
flag2 = NoBG
flag3= NoMusic


[State -2,1]
type = PlaySnd
trigger1 = !time 
persistent = 0
value = 9,0
volume =455
ignorehitpause = 1
abspan = 0

[State 3510, 4]
type = explod
trigger1 = time = 0
anim = 9500
pos = 0,0
postype = left
sprpriority = -10
supermove = 1
bindtime = 50
ID = 9996
ignorehitpause = 1


[State 7001, 2]
type = DestroySelf
trigger1 = time =50


[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1
